¿Se necesita el complemento WTP para consumir servicios web en Android?

I am trying to consume a web service in my project but it does not return any data. I searched about that on internet, and I got that WTP plugin is needed. I'm using Eclipse Juno and I tried to install plugin for Eclipse but it gave me an error.

Cannot complete the install because one or more required items could not be found.
  Software being installed: Web Page Editor (Optional) 2.2.2.v201001271707-43799oB5855B7A2242 (org.eclipse.jst.webpageeditor.feature.feature.group 2.2.2.v201001271707-43799oB5855B7A2242)
  Missing requirement: Java EE Component 1.1.301.v200909030330 (org.eclipse.jst.j2ee 1.1.301.v200909030330) requires 'bundle com.ibm.icu [3.4.4,4.1.0)' but it could not be found
  Missing requirement: Java EE Component 1.1.301.v201001272230 (org.eclipse.jst.j2ee 1.1.301.v201001272230) requires 'bundle org.eclipse.emf.codegen [2.2.0,3.0.0)' but it could not be found
  Missing requirement: Java EE Component 1.1.302.v201004131604 (org.eclipse.jst.j2ee 1.1.302.v201004131604) requires 'bundle org.eclipse.emf.codegen [2.2.0,3.0.0)' but it could not be found
  Missing requirement: Web Plug-in 1.1.301.v200908270924 (org.eclipse.jst.j2ee.web 1.1.301.v200908270924) requires 'bundle org.eclipse.emf.codegen [2.2.0,3.0.0)' but it could not be found
  Missing requirement: Web Plug-in 1.1.301.v200911302230 (org.eclipse.jst.j2ee.web 1.1.301.v200911302230) requires 'bundle org.eclipse.emf.codegen [2.2.0,3.0.0)' but it could not be found
  Cannot satisfy dependency:
    From: JavaServer Faces Tools - Common 1.1.7.v20090903 (org.eclipse.jst.jsf.common 1.1.7.v20090903)
    To: bundle org.eclipse.jst.j2ee.web 0.0.0
  Cannot satisfy dependency:
    From: JavaServer Faces Tools - Common 1.1.9.v201001271707 (org.eclipse.jst.jsf.common 1.1.9.v201001271707)
    To: bundle org.eclipse.jst.j2ee 0.0.0
  Cannot satisfy dependency:
    From: JavaServer Faces Tools - JSP Core Pagedesigner 1.1.3.v201002111131 (org.eclipse.jst.pagedesigner.jsp.core 1.1.3.v201002111131)
    To: bundle org.eclipse.jst.jsf.common [1.0.0,2.0.0)
  Cannot satisfy dependency:
    From: Web Page Editor (Optional) 2.2.2.v201001271707-43799oB5855B7A2242 (org.eclipse.jst.webpageeditor.feature.feature.group 2.2.2.v201001271707-43799oB5855B7A2242)
    To: org.eclipse.jst.pagedesigner.jsp.core [1.1.3.v201002111131]

And also in my Eclipse, Ventana> Preferencias does not have web services tab, I've seen it in one tutorial video, so does it necessary to consume web services in Android? And if anyone have link for WTP plugin for Eclipse Juno than please have me.

He tratado este, but it showed error that I mentioned above.

preguntado el 31 de julio de 12 a las 12:07

1 Respuestas

Are you developing in any way the web service that your Android client will consume? If the answer is no, then I don't think you even need WTP. WTP is only to help you develop the server-side of your application.

Respondido 20 ago 12, 19:08

No es la respuesta que estás buscando? Examinar otras preguntas etiquetadas or haz tu propia pregunta.